%define phpversion 71

Summary: sme server integration of dokuwiki
Name: smeserver-dokuwiki
Version: 0.2.2
Release: 1%{?dist}
License: GNU GPL
URL: http://www.splitbrain.org/projects/dokuwiki
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-base >= 5.2.0-56
Requires: dokuwiki
Requires: smeserver-webapps-common
AutoReqProv: no

%description
smserver integration of dokuwiki
DokuWiki is a simple to use Wiki aimed at the documentation needs of a small company

%changelog
* Mon Jan 22 2018 Daniel Berteaud <daniel@firewall-services.com> 0.2.2-1
- Fix permissions on plugin dir (daniel@firewall-services.com)

* Sun Nov 19 2017 Daniel Berteaud <daniel@firewall-services.com> 0.2.1-1
- new package built with tito

* Fri Jul 14 2017 Daniel Berteaud <daniel@firewall-services.com> 0.2.0-1
- Switch to php 71 using FastCGI and FPM is available

* Wed Mar 15 2017 Daniel Berteaud <daniel@firewall-services.com> 0.1.7-1
- Add /dev/urandom to open_basedir, needed since 2017-02-19

* Wed Oct 29 2014 Daniel B. <daniel@firewall-services.com> 0.1.6-1
- Fix SSL redirection

* Sat Jul 5 2014 Daniel B. <daniel@firewall-services.com> 0.1.5-1
- Small fixes in authhttpldap plugin

* Tue May 6 2014 Daniel B. <daniel@firewall-services.com> 0.1.4-1
- Add missing plugin.info.txt file for the authhttpldap plugin

* Thu Dec 5 2013 Daniel B. <daniel@firewall-services.com> 0.1.3-1
- Push php memory limit to 128M

* Fri Nov 22 2013 Daniel B. <daniel@firewall-services.com> 0.1.2-1
- Fix a typo which prevent transparent SSL redirection

* Wed May 15 2013 Daniel B. <daniel@firewall-services.com> 0.1.1-1
- Use the new auth plugins to be compatible with dokuwiki 2013-05-10

* Wed May 15 2013 Daniel B. <daniel@firewall-services.com> 0.1.0-1
- Import in GIT

* Mon Dec 19 2011 Daniel B. <daniel@firewall-services.com> 0.1-2
- Follow symlinks so fck media browser works

* Fri Jul 08 2011 Daniel B. <daniel@firewall-services.com> 0.1-1
- initial release

%prep
%setup

%build
perl ./createlinks
find root/ -type f | xargs grep -l __PHP_VERSION__ | xargs sed -i -e "s/__PHP_VERSION__/%{phpversion}/g"
%{__mkdir_p} root/var/log/php/dokuwiki
%{__mkdir_p} root/var/lib/php/dokuwiki/{tmp,session,opcache}

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
        --dir /var/log/php/dokuwiki 'attr(0770,root,www)' \
        --dir /var/lib/php/dokuwiki 'attr(0770,root,www)' \
        --dir /var/lib/php/dokuwiki/tmp 'attr(0770,root,www)' \
        --dir /var/lib/php/dokuwiki/opcache 'attr(0770,root,www)' \
        --dir /var/lib/php/dokuwiki/session 'attr(0770,root,www)' \
        --dir /usr/share/dokuwiki/lib/plugins 'attr(0755,www,www)' \
	> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun

